<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.text.*?>
<?import java.lang.*?>
<?import java.util.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.paint.*?>
<!---fx-background-color: Gainsboro;-fx-border-color: blue;-->
<!--../Images/FlowersPattern_beige_background.jpg-->
<!---fx-background-image: url("../img/image.png")-->
<!--style="-fx-background-image: url('../src/resources/header.jpg');"-->
<!---fx-graphic: url('./icons/sun.png')-->
<!--style="-fx-background-image: url('../resources/boondrive.png');"-->
<!--//style="-fx-background-image: url('http://www.bogotobogo.com/images/java/tutorial/java_images/Duke256.png');" -->
<StackPane   prefHeight="260.0" prefWidth="410.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="controller.LoginController">
  <children>
    <StackPane>
      <children>
         
        <VBox spacing="10.0">
             
          <children>
            <GridPane>
               <children>
                   <Label alignment="CENTER" prefHeight="17.0" prefWidth="414.0" text="Welcome to BoonDrive" GridPane.columnIndex="10" GridPane.rowIndex="10">
                           <font>
                              <Font size="24.0" />
                           </font></Label>
               </children>
                     <columnConstraints>
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                        <ColumnConstraints />
                     </columnConstraints>
                     <rowConstraints>
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                        <RowConstraints />
                     </rowConstraints>
            </GridPane>
            <GridPane prefHeight="124.0" prefWidth="390.0">
              <children>
                <Label alignment="CENTER" prefHeight="17.0" prefWidth="82.0" text="Username:" GridPane.columnIndex="0" GridPane.rowIndex="0" />
                <Label alignment="CENTER" prefHeight="17.0" prefWidth="75.0" text="Password:" GridPane.columnIndex="0" GridPane.rowIndex="1" />
                <Label alignment="CENTER" prefHeight="17.0" prefWidth="79.0" text="Subdomain:" GridPane.columnIndex="0" GridPane.rowIndex="2" />
<!--                 <Label alignment="CENTER" prefHeight="26.0" prefWidth="172.0" text="Error in login " textFill="#cd0d0d" GridPane.columnIndex="0" GridPane.rowIndex="3" />-->
                <TextField fx:id="user" prefHeight="25.0" prefWidth="217.0" promptText="Enter your username to login" text="" GridPane.columnIndex="1" GridPane.rowIndex="0" />
<!--                <TextField fx:id="password" promptText="Use &quot;sesame&quot; to login" text="sesame" GridPane.columnIndex="1" GridPane.rowIndex="1" />-->
                <TextField fx:id="subdomain" promptText="Enter your subdomain to login" text="" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                <Label fx:id="lblValidatingError" alignment="CENTER" contentDisplay="CENTER" prefHeight="17.0" prefWidth="164.0" text="Error while Login" textFill="#e10b0b" visible="false" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                <PasswordField fx:id="password" promptText="Enter your password" text="" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                
              </children>
              <columnConstraints>
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="148.0" minWidth="10.0" prefWidth="106.0" />
                <ColumnConstraints hgrow="SOMETIMES" maxWidth="289.0" minWidth="10.0" prefWidth="270.0" />
              </columnConstraints>
              <rowConstraints>
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
                        <RowConstraints />
                        <RowConstraints />
              </rowConstraints>
            </GridPane>
            <StackPane maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" minWidth="-Infinity" prefHeight="36.0" prefWidth="390.0">
              <children>
                <Button fx:id="loginButton" alignment="BASELINE_CENTER" defaultButton="true" mnemonicParsing="false" prefHeight="25.0" prefWidth="87.0" text="Login" StackPane.alignment="CENTER_RIGHT" />
              </children>
            </StackPane>
          </children>
        </VBox>
      </children>
    </StackPane>
  </children>
  <padding>
    <Insets bottom="10.0" left="10.0" right="10.0" top="10.0" />
  </padding>
</StackPane>
